Resolves a bank account
curl --request POST \
--url https://api.sandbox.busha.so/v1/recipients/resolve-bank-account \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currency_id": "NGN",
"country_id": "NG",
"channel": "mobile_money",
"bank_code": "000013",
"account_number": "0123456789"
}
'import requests
url = "https://api.sandbox.busha.so/v1/recipients/resolve-bank-account"
payload = {
"currency_id": "NGN",
"country_id": "NG",
"channel": "mobile_money",
"bank_code": "000013",
"account_number": "0123456789"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
currency_id: 'NGN',
country_id: 'NG',
channel: 'mobile_money',
bank_code: '000013',
account_number: '0123456789'
})
};
fetch('https://api.sandbox.busha.so/v1/recipients/resolve-bank-account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "message for success",
"data": {
"country_id": "NG",
"currency_id": "BTC",
"channel": "bank_transfer",
"account_number": "0123456789",
"account_name": "John Doe",
"bank_code": "000013",
"bank_name": "Trust Bank"
}
}Recipients
Resolves a bank account
Resolves a bank account for bank transfers
POST
/
v1
/
recipients
/
resolve-bank-account
Resolves a bank account
Authorizations
Bearer Authentication
Headers
User profile header
Example:
"BUS_YOK8tp5Zga01qOKEsqp07"
Body
application/json
A valid currency
Required string length:
1 - 10Example:
"BTC"
A valid country id
Required string length:
2Example:
"NG"
Channel for the transfer
Available options:
mobile_money, bank_transfer, pay_bill, till Example:
"bank_transfer"
Account number for receiving bank
Example:
"0123456789"
Bank sort code
Example:
"000013"
⌘I